Package org.eclipse.lemminx.extensions.contentmodel.settings

## Class XMLValidationRootSettings

- java.lang.Object
- - org.eclipse.lemminx.extensions.contentmodel.settings.XMLValidationSettings
  - - org.eclipse.lemminx.extensions.contentmodel.settings.XMLValidationRootSettings

    public class XMLValidationRootSettings
    extends XMLValidationSettings

XML validation settings root which defines validation rules for all files. The `XMLValidationRootSettings` `filters` can be used to define custom validation rule for a given file pattern: `[ { "pattern": "**.exsd", "enabled": false }, { "pattern": "**{.project,.classpath,plugin.xml,feature.xml,category.xml,.target,.product}", "noGrammar": "ignore" } ]`

### Constructor Summary

Constructors
`XMLValidationRootSettings()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(Object obj)`
`XMLValidationFilter[]` `getFilters()` Returns validation filters to define custom validation rule for a given file pattern and null otherwise.
`XMLValidationSettings` `getValidationSettings​(String uri)` Returns the validation settings for the given uri and the global validation settings otherwise.
`int` `hashCode()`
`XMLValidationRootSettings` `merge​(XMLValidationRootSettings settings)`
`void` `setFilters​(XMLValidationFilter[] filters)`

### Methods inherited from class org.eclipse.lemminx.extensions.contentmodel.settings.XMLValidationSettings

`getNamespaces, getNoGrammar, getNoGrammarSeverity, getSchema, getXInclude, isDisallowDocTypeDecl, isEnabled, isRelatedInformation, isResolveExternalEntities, merge, setCapabilities, setDisallowDocTypeDecl, setEnabled, setNamespaces, setNoGrammar, setResolveExternalEntities, setSchema, setXInclude`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XMLValidationRootSettings

    public XMLValidationRootSettings()

### Method Detail

#### getFilters

    public XMLValidationFilter[] getFilters()

Returns validation filters to define custom validation rule for a given file pattern and null otherwise.

Returns:
  validation filters to define custom validation rule for a given file pattern and null otherwise.

#### setFilters

    public void setFilters​(XMLValidationFilter[] filters)

#### getValidationSettings

    public XMLValidationSettings getValidationSettings​(String uri)

Returns the validation settings for the given uri and the global validation settings otherwise.

Parameters:
  `uri` - the XML document to validate.

#### merge

    public XMLValidationRootSettings merge​(XMLValidationRootSettings settings)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `XMLValidationSettings`

#### equals

    public boolean equals​(Object obj)

Overrides:
  `equals` in class `XMLValidationSettings`